import { ElementRef, Renderer, OnInit } from '@angular/core';
import { ImageLoader } from "../../providers/image-loader";
import { ImageLoaderConfig } from "../../providers/image-loader-config";
export declare class ImgLoader implements OnInit {
    private element;
    private renderer;
    private imageLoader;
    private config;
    /**
     * The URL of the image to load.
     */
    imageUrl: string;
    /**
     * Fallback URL to load when the image url fails to load or does not exist.
     */
    fallbackUrl: string;
    /**
     * Whether to show a spinner while the image loads
     */
    spinner: boolean;
    /**
     * Use <img> tag
     */
    useImg: boolean;
    private _useImg;
    /**
     * Width of the image. This will be ignored if using useImg.
     */
    width: string;
    /**
     * Height of the image. This will be ignored if using useImg.
     */
    height: string;
    /**
     * Display type of the image. This will be ignored if using useImg.
     */
    display: string;
    /**
     * Background size. This will be ignored if using useImg.
     */
    backgroundSize: string;
    /**
     * Background repeat. This will be ignored if using useImg.
     */
    backgroundRepeat: string;
    /**
     * Indicates if the image is still loading
     * @type {boolean}
     */
    isLoading: boolean;
    constructor(element: ElementRef, renderer: Renderer, imageLoader: ImageLoader, config: ImageLoaderConfig);
    ngOnInit(): void;
    private setImage(imageUrl);
}
